<?php

namespace Drupal\ofed_switcher;

use Drupal\Core\Security\TrustedCallbackInterface;

/**
 * Static methods.
 */
class ToolbarPreRender implements TrustedCallbackInterface {

  /**
   * {@inheritdoc}
   */
  public static function trustedCallbacks() {
    return ['elementPreRender'];
  }

  /**
   * Pre render callback for rendering toolbar tray without theme hook.
   *
   * @param array $element
   *   Entity being rendered.
   *
   * @return array
   */
  public static function elementPreRender(array $element) {
    // Remove Help item (too technical for content editors).
    unset($element['administration_menu']['#items']['help.main']);
    // Remove drupal.org item (irrelevant to content editors).
    unset($element['administration_menu']['#items']['admin_toolbar_tools.help']['below']['admin_toolbar_tools.drupalorg']);
    // Remove "Index" item (too technical for content editors).
    unset($element['administration_menu']['#items']['admin_toolbar_tools.help']['below']['system.admin_index']);

    return $element;
  }

}
